<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('move_orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('farm_id');
            // $table->foreignId('building_id')->constrained();
            // $table->enum('status', [
            //     'pending',
            //     'approved',
            //     'released',
            //     'cancelled'
            // ])->default('pending');
            $table->date('order_date');
            $table->text('description')->nullable();
            $table->text('remarks')->nullable();
            $table->foreignId("caretaker_id")->nullable()->constrained("users");
            $table->foreignId('user_id')->constrained();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('move_orders');
    }
};
